package wx_helper_sdk

// SetHook
// @description: 设置回调
type SetHook struct {
	Port       string `json:"port"`
	Ip         string `json:"ip"`
	Url        string `json:"url"`
	Timeout    string `json:"timeout"`
	EnableHttp string `json:"enableHttp"`
}

// SendAtText
// @description: 发送群里圈人文本信息
type SendAtText struct {
	Wxids      string `json:"wxids"`
	ChatRoomId string `json:"chatRoomId"`
	Msg        string `json:"msg"`
}

// SendText
// @description: 发送文本信息（私聊）
type SendText struct {
	Wxid string `json:"wxid"`
	Msg  string `json:"msg"`
}

// SendFileMsg
// @description: 发送文件
type SendFileMsg struct {
	Wxid     string `json:"wxid"`
	FilePath string `json:"filePath"`
}

// SendImageMsg
// @description: 发送图片
type SendImageMsg struct {
	Wxid      string `json:"wxid"`
	ImagePath string `json:"imagePath"`
}

// DecodeImage
// @description: 解码图片
type DecodeImage struct {
	FilePath string `json:"filePath"`
	StoreDir string `json:"storeDir"`
}

// ChatRoomId
// @description: 群聊ID
type ChatRoomId struct {
	ChatRoomId string `json:"chatRoomId"`
}

// ForwardMsg
// @description: 转发消息
type ForwardMsg struct {
	Wxid  string `json:"wxid"`
	MsgId string `json:"msgId"`
}
